Subject: bug#76936: closed (Re: [PATCH] gnu: supertuxkart: Keep 'supertuxkart.desktop' file.)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 14 Mar 2025 02:49:02 +0000

Your bug report

#76936: [PATCH] gnu: supertuxkart: Keep 'supertuxkart.desktop' file.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
76936: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=76936
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH] gnu: supertuxkart: Keep 'supertuxkart.desktop' file.
From: Eric Bavier <[email-masked]>
To: Nigko Yerden <[email-masked]>, [email-masked]
Date: Fri, 14 Mar 2025 02:48:04 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Nigko,

I'm glad someone appreciates my improvement also.  Good catch, and 
thanks for the patch!  It looks good to me.  I've applied it in commit 
92124591eedf27e988c84f75acd4b4d99ff43122.

`~Eric

On 3/12/25 11:33, Nigko Yerden wrote:
> Hello Eric Bavier,
>
> I am very appreciate for your commit [1] that splits data from 
> supertuxkart
> package. Indeed, it was very annoying to download more than 700MB on 
> almost
> every upgrade. However, it seems that I found a minor bug in your nice 
> patch:
> supertuxkart has lost its .desktop file. Certainly, not everyone needs
> .desktop file, but I think it would be better to keep it:)
>
> Here [2] I suggest a one-line bug-fix. I checked that the supertuxkart
> package is successfully built and works with this patch applied.
>
> What do you think?
>
> Thank you for your work!
>
> Regards,
> Nigko
>
> [1] 
> https://git.savannah.gnu.org/cgit/guix.git/commit/?id=7b33214d80e3e07421626449415e14bf120d93c9
> [2] https://issues.guix.gnu.org/76936

Subject: [PATCH] gnu: supertuxkart: Keep 'supertuxkart.desktop' file.
From: Nigko Yerden <[email-masked]>
To: [email-masked]
Cc: Nigko Yerden <[email-masked]>
Date: Tue, 11 Mar 2025 14:22:59 +0500
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/games.scm (supertuxkart)[arguments]: Fix regexp in
'disable-data-install' phase so that the line in CMakeList.txt that installs
'supertuxkart.desktop' file is not commented out.

Change-Id: I408cdfeb9425c39228d38df4c15aee326e19dc34
---
 gnu/packages/games.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnu/packages/games.scm b/gnu/packages/games.scm
index fd22b0243f..89e06a3a81 100644
--- a/gnu/packages/games.scm
+++ b/gnu/packages/games.scm
@@ -4845,7 +4845,7 @@ (define-public supertuxkart
                (add-before 'configure 'disable-data-install
                  (lambda _
                    (substitute* "CMakeLists.txt"
-                     (("^install\\(.*STK_DATA_DIR" &)
+                     (("^install\\(DIRECTORY.*STK_DATA_DIR" &)
                       (string-append "# " &))))))))
     (inputs
      (list curl

base-commit: f70ad6267bf2bbafbf5eb0a1d04e2d624af796c5
-- 
2.48.1